Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Class XSLTransformerEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.xml.async.XSLTransformerEvent

All Implemented Interfaces:
  java.io.Serializable

public class XSLTransformerEvent
extends java.util.EventObject

This class represents the event object used by XSLTransformer to notify XSL transformation events to all its registered listeners.

See Also:
  Serialized Form

Field Summary
`protected int` | `id` ID of the source XSLTransformer object

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`XSLTransformerEvent(java.lang.Object p0, int p1)` Constructs the XSLTransformerEvent object using the XSLTransformer source object and its unique id.

Method Summary
`int` | `getID()` Returns unique id of the XSLTransformer object which can be used to identify which instance of the XSLTransformer generated this event in cases where multiple instances of XSLTransformer may be working in background.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

  ID of the source XSLTransformer object

Constructor Detail

### XSLTransformerEvent

    public XSLTransformerEvent(java.lang.Object p0,
                               int p1)

  Constructs the XSLTransformerEvent object using the XSLTransformer source object and its unique id.

Method Detail

### getID

    public int getID()

  Returns unique id of the XSLTransformer object which can be used to identify which instance of the XSLTransformer generated this event in cases where multiple instances of XSLTransformer may be working in background.
  Returns:
    The unique `id` of the source XSLTransformer object for this event object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.